Bug 998974 - setsebool prints bad nonexisting-boolean error message, only once after permanent booleans change
Summary: setsebool prints bad nonexisting-boolean error message, only once after perma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: policycoreutils
Version: 6.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: beta
: ---
Assignee: Miroslav Grepl
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
: 1008851 (view as bug list)
Depends On:
Blocks: 993793 972747
TreeView+ depends on / blocked
 
Reported: 2013-08-20 12:56 UTC by Michal Trunecka
Modified: 2014-09-30 23:35 UTC (History)
11 users (show)

Fixed In Version: policycoreutils-2.0.83-19.35.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1002529 (view as bug list)
Environment:
Last Closed: 2013-11-21 11:08:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1608 normal SHIPPED_LIVE policycoreutils bug fix and enhancement update 2013-11-20 21:39:06 UTC

Description Michal Trunecka 2013-08-20 12:56:00 UTC
Description of problem:

When trying to permanently change nonexisting boolean, following error message is shown:
"Failed to change boolean xyz: Success"

But it happens only once after some other correct permanent boolean change:

###### correct permanent change
    # setsebool -P ftp_home_dir 1

###### Trying to change non-existing boolean, bad error only once:
    # setsebool -P xyz=1
    Failed to change boolean xyz: Success
    # setsebool -P xyz=1
    Failed to change boolean xyz: No such file or directory
    # setsebool -P xyz=1
    Failed to change boolean xyz: No such file or directory

###### correct permanent change
    # setsebool -P ftp_home_dir 0

###### Trying to change non-existing boolean:
    # setsebool -P xyz=1
    Failed to change boolean xyz: Success
    # setsebool -P xyz=1
    Failed to change boolean xyz: No such file or directory


Version-Release number of selected component (if applicable):
policycoreutils-2.0.83-19.32.el6.x86_64

Comment 1 Miroslav Grepl 2013-08-28 11:48:20 UTC
We could change to have

#setsebool -P aa=1
Could not change boolean aa
#echo $?
255
#setsebool -P ftp_home_dir 0
#echo $?
0
#setsebool -P aa=1
Could not change boolean aa
#echo $?
255

So we won't see the issue which Michal described.

Comment 2 Daniel Walsh 2013-08-28 19:30:21 UTC
That is strange, why does it happen?

Comment 3 Miroslav Grepl 2013-08-29 09:33:17 UTC
It looks it also happens on Fedora. 

sh-4.2# setsebool -P aa=1
Failed to change boolean aa: No such file or directory
sh-4.2# setsebool -P ftp_home_dir 0
sh-4.2# setsebool -P aa=1
Failed to change boolean aa: Success

Need to try to do more debugging.

Comment 5 RHEL Product and Program Management 2013-09-05 10:10:33 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 8 Miroslav Grepl 2013-09-16 17:57:27 UTC
Fixed in policycoreutils-2.0.83-19.35.el6

Comment 9 Miroslav Grepl 2013-09-17 11:44:56 UTC
*** Bug 1008851 has been marked as a duplicate of this bug. ***

Comment 11 Miroslav Grepl 2013-09-17 13:03:10 UTC
*** Bug 1008790 has been marked as a duplicate of this bug. ***

Comment 12 Miroslav Grepl 2013-09-17 13:35:21 UTC
# rpm -q policycoreutils
policycoreutils-2.0.83-19.35.el6.x86_64

# setsebool -P aa=1
Boolean aa is not defined

# getsebool ftp_home_dir
ftp_home_dir --> off
# setsebool -P ftp_home_dir 1
# getsebool ftp_home_dir
ftp_home_dir --> on

Comment 13 Miroslav Grepl 2013-09-17 15:25:04 UTC
(In reply to Miroslav Grepl from comment #12)
> # rpm -q policycoreutils
> policycoreutils-2.0.83-19.35.el6.x86_64
> 
> # setsebool -P aa=1
> Boolean aa is not defined
> 
> # getsebool ftp_home_dir
> ftp_home_dir --> off
> # setsebool -P ftp_home_dir 1
> # getsebool ftp_home_dir
> ftp_home_dir --> on

For QA.

Comment 16 errata-xmlrpc 2013-11-21 11:08:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1608.html


Note You need to log in before you can comment on or make changes to this bug.